import SiloPage from "@/components/logistics/siloAdjustments/SiloPage";
import { createFileRoute, redirect } from "@tanstack/react-router";

export const Route = createFileRoute("/(logistics)/siloAdjustments/")({
    component: RouteComponent,
    beforeLoad: async () => {
        const auth = localStorage.getItem("auth_token");
        if (!auth) {
            throw redirect({
                to: "/login",
                search: {
                    // Use the current location to power a redirect after login
                    // (Do not use `router.state.resolvedLocation` as it can
                    // potentially lag behind the actual current location)
                    redirect: location.pathname + location.search,
                },
            });
        }
    },
});

function RouteComponent() {
    return (
        <div>
            <SiloPage />
        </div>
    );
}
